# WOK
TKWOK
MS

# MS_SequenceOfPackage Class Reference

`#include <MS_SequenceOfPackage.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MS_SequenceOfPackage ()
Standard_EXPORT void | Clear ()
| ~MS_SequenceOfPackage ()
Standard_EXPORT const MS_SequenceOfPackage & | Assign (const MS_SequenceOfPackage &Other)
const MS_SequenceOfPackage & | operator= (const MS_SequenceOfPackage &Other)
Standard_EXPORT void | Append (const Handle(MS_Package)&T)
void | Append (MS_SequenceOfPackage &S)
Standard_EXPORT void | Prepend (const Handle(MS_Package)&T)
void | Prepend (MS_SequenceOfPackage &S)
void | InsertBefore (const Standard_Integer Index, const Handle(MS_Package)&T)
void | InsertBefore (const Standard_Integer Index, MS_SequenceOfPackage &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(MS_Package)&T)
void | InsertAfter (const Standard_Integer Index, MS_SequenceOfPackage &S)
Standard_EXPORT const Handle_MS_Package & | First () const
Standard_EXPORT const Handle_MS_Package & | Last () const
void | Split (const Standard_Integer Index, MS_SequenceOfPackage &Sub)
Standard_EXPORT const Handle_MS_Package & | Value (const Standard_Integer Index) const
const Handle_MS_Package & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(MS_Package)&I)
Standard_EXPORT Handle_MS_Package & | ChangeValue (const Standard_Integer Index)
Handle_MS_Package & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | MS_SequenceOfPackage (const MS_SequenceOfPackage &Other)

## Constructor & Destructor Documentation

MS_SequenceOfPackage::MS_SequenceOfPackage | ( |  | ) |

MS_SequenceOfPackage::~MS_SequenceOfPackage | ( |  | ) | `[inline]`

Standard_EXPORT MS_SequenceOfPackage::MS_SequenceOfPackage | ( | const MS_SequenceOfPackage & | Other | ) | `[private]`

## Member Function Documentation

void MS_SequenceOfPackage::Append | ( | MS_SequenceOfPackage & | S | ) |

Standard_EXPORT void MS_SequenceOfPackage::Append | ( | const Handle(MS_Package)& | T | ) |

Standard_EXPORT const MS_SequenceOfPackage& MS_SequenceOfPackage::Assign | ( | const MS_SequenceOfPackage & | Other | ) |

Standard_EXPORT Handle_MS_Package& MS_SequenceOfPackage::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MS_SequenceOfPackage::Clear | ( |  | ) |

Standard_EXPORT const Handle_MS_Package& MS_SequenceOfPackage::First | ( |  | ) | const

void MS_SequenceOfPackage::InsertAfter | ( | const Standard_Integer | Index,
|  | MS_SequenceOfPackage & | S
| ) |

Standard_EXPORT void MS_SequenceOfPackage::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(MS_Package)& | T
| ) |

void MS_SequenceOfPackage::InsertBefore | ( | const Standard_Integer | Index,
|  | MS_SequenceOfPackage & | S
| ) |

void MS_SequenceOfPackage::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(MS_Package)& | T
| ) |

Standard_EXPORT const Handle_MS_Package& MS_SequenceOfPackage::Last | ( |  | ) | const

void MS_SequenceOfPackage::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MS_SequenceOfPackage::operator new | ( | size_t | size | ) | `[inline]`

void* MS_SequenceOfPackage::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MS_Package& MS_SequenceOfPackage::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_MS_Package& MS_SequenceOfPackage::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MS_SequenceOfPackage& MS_SequenceOfPackage::operator= | ( | const MS_SequenceOfPackage & | Other | ) | `[inline]`

void MS_SequenceOfPackage::Prepend | ( | MS_SequenceOfPackage & | S | ) |

Standard_EXPORT void MS_SequenceOfPackage::Prepend | ( | const Handle(MS_Package)& | T | ) |

Standard_EXPORT void MS_SequenceOfPackage::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void MS_SequenceOfPackage::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MS_SequenceOfPackage::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(MS_Package)& | I
| ) |

void MS_SequenceOfPackage::Split | ( | const Standard_Integer | Index,
|  | MS_SequenceOfPackage & | Sub
| ) |

Standard_EXPORT const Handle_MS_Package& MS_SequenceOfPackage::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MS_SequenceOfPackage.hxx